com.typesafe.config.impl

## Class ConfigImpl

- java.lang.Object
- - com.typesafe.config.impl.ConfigImpl

    public class ConfigImpl
    extends java.lang.Object

Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

### Constructor Summary

Constructors
Constructor and Description
`ConfigImpl()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Config` `computeCachedConfig(java.lang.ClassLoader loader, java.lang.String key, java.util.concurrent.Callable<Config> updater)`
`static Config` `defaultReference(java.lang.ClassLoader loader)`
`static Config` `emptyConfig(java.lang.String originDescription)`
`static Config` `envVariablesAsConfig()`
`static ConfigValue` `fromAnyRef(java.lang.Object object, java.lang.String originDescription)`
`static ConfigObject` `fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap, java.lang.String originDescription)`
`static ConfigOrigin` `newFileOrigin(java.lang.String filename)`
`static ConfigOrigin` `newSimpleOrigin(java.lang.String description)`
`static ConfigOrigin` `newURLOrigin(java.net.URL url)`
`static ConfigObject` `parseFileAnySyntax(java.io.File basename, ConfigParseOptions baseOptions)`
`static ConfigObject` `parseResourcesAnySyntax(java.lang.Class<?> klass, java.lang.String resourceBasename, ConfigParseOptions baseOptions)`
`static ConfigObject` `parseResourcesAnySyntax(java.lang.String resourceBasename, ConfigParseOptions baseOptions)`
`static void` `reloadSystemPropertiesConfig()`
`static Config` `systemPropertiesAsConfig()`
`static void` `trace(int indentLevel, java.lang.String message)`
`static void` `trace(java.lang.String message)`
`static boolean` `traceLoadsEnabled()`
`static boolean` `traceSubstitutionsEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigImpl

    public ConfigImpl()

### Method Detail

#### computeCachedConfig

    public static Config computeCachedConfig(java.lang.ClassLoader loader,
                                             java.lang.String key,
                                             java.util.concurrent.Callable<Config> updater)

#### parseResourcesAnySyntax

    public static ConfigObject parseResourcesAnySyntax(java.lang.Class<?> klass,
                                                       java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

#### parseResourcesAnySyntax

    public static ConfigObject parseResourcesAnySyntax(java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

#### parseFileAnySyntax

    public static ConfigObject parseFileAnySyntax(java.io.File basename,
                                                  ConfigParseOptions baseOptions)

#### emptyConfig

    public static Config emptyConfig(java.lang.String originDescription)

#### fromAnyRef

    public static ConfigValue fromAnyRef(java.lang.Object object,
                                         java.lang.String originDescription)

#### fromPathMap

    public static ConfigObject fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap,
                                           java.lang.String originDescription)

#### systemPropertiesAsConfig

    public static Config systemPropertiesAsConfig()

#### reloadSystemPropertiesConfig

    public static void reloadSystemPropertiesConfig()

#### envVariablesAsConfig

    public static Config envVariablesAsConfig()

#### defaultReference

    public static Config defaultReference(java.lang.ClassLoader loader)

#### traceLoadsEnabled

    public static boolean traceLoadsEnabled()

#### traceSubstitutionsEnabled

    public static boolean traceSubstitutionsEnabled()

#### trace

    public static void trace(java.lang.String message)

#### trace

    public static void trace(int indentLevel,
                             java.lang.String message)

#### newSimpleOrigin

    public static ConfigOrigin newSimpleOrigin(java.lang.String description)

#### newFileOrigin

    public static ConfigOrigin newFileOrigin(java.lang.String filename)

#### newURLOrigin

    public static ConfigOrigin newURLOrigin(java.net.URL url)